Package: org.codehaus.groovy.reflection.stdclasses

## [Java] Class ByteCachedClass

- org.codehaus.groovy.reflection.stdclasses.ByteCachedClass

-     public class ByteCachedClass
      extends NumberCachedClass

  Provides optimized reflection caching for `byte` and Byte. Coerces numeric arguments to byte values for type-safe method invocation. Optionally allows `null` values for the boxed Byte class variant.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CachedClass` | `EMPTY_ARRAY, classInfo, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ByteCachedClass(Class klazz, ClassInfo classInfo, boolean allowNull)` Constructs a cached class representation for the given byte class.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `coerceArgument(Object argument)` Coerces the given numeric argument to a byte value.
    `` | `public boolean` | `isAssignableFrom(Class classToTransformFrom)` Determines if the given class can be transformed to byte/Byte.
    `` | `public boolean` | `isDirectlyAssignable(Object argument)` Checks if the given argument is directly assignable without type conversion.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class NumberCachedClass` | `coerceArgument, isAssignableFrom`
    `class CachedClass` | `addNewMopMethods, coerceArgument, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isAssignableFrom, isDirectlyAssignable, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString`

- - ### Constructor Detail

    - #### public ByteCachedClass(Class klazz, ClassInfo classInfo, boolean allowNull)

      Constructs a cached class representation for the given byte class.

      Parameters:
        `klazz` - the byte class to cache (either `byte.class` or Byte.class)
        `classInfo` - the class information associated with this cached class
        `allowNull` - `true` to allow `null` values (for Byte.class), `false` for primitive `byte`

  - ### Method Detail

    - #### public Object coerceArgument(Object argument)

      Coerces the given numeric argument to a byte value.

      Parameters:
        `argument` - the argument to coerce
      Returns:
        the argument as a `byte`, or the original argument if not a number

    - #### public boolean isAssignableFrom(Class classToTransformFrom)

      Determines if the given class can be transformed to byte/Byte.

      Parameters:
        `classToTransformFrom` - the source class to check
      Returns:
        `true` if the class can be transformed to byte, `false` otherwise

    - #### public boolean isDirectlyAssignable(Object argument)

      Checks if the given argument is directly assignable without type conversion.

      Parameters:
        `argument` - the argument to check
      Returns:
        `true` if the argument is a Byte instance, or `null` is allowed, `false` otherwise